package com.aghajari.test;

import android.app.Application;

import com.aghajari.axrlottiemoji.AXrLottieEmoji;
import com.aghajari.axrlottiemoji.AXrLottieEmojiManager;
import com.aghajari.emojiview.AXEmojiManager;
import com.aghajari.emojiview.appleprovider.AXAppleEmojiProvider;
import com.aghajari.rlottie.AXrLottie;

import java.util.ArrayList;

public class MyApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        AXrLottie.init(this);

        ArrayList<AXrLottieEmoji> emojis = new ArrayList<>();
        emojis.add(new AXrLottieEmoji("\uD83D\uD83E\uD83F", "a.json"));
        emojis.add(new AXrLottieEmoji("\uD83D\uD83E\uD84F", "b.json"));

        AXrLottieEmojiManager.install(emojis);
        AXEmojiManager.install(this,new AXAppleEmojiProvider(this));
    }
}
